G-Portugol - versão: 1.1
========================

o Sobre a linguagem

  G-Portugol é um dialeto da linguagem/pseudo-código portugol (ou
  portugês estruturado), que é muito usada para descrever algoritmos em
  português, de forma livre e espontânea. Em geral, livros dedicados ao ensino
  de algoritmos, lógica e estruturas de dados utilizam alguma forma
  dessa linguagem.

  A proposta de G-Portugol é disponibilizar uma implementação da
  linguagem portugol, fornecendo ferramentas que ofereçam recursos de edição,
  compilação, execução e depuração de programas escritos nessa linguagem, de
  forma a favorecer estudantes que dão os primeiros passos no aprendizado de
  desenvolvimento de softwares, bem como professores que ensinam disciplinas
  relacionadas a computação. Portanto, seu foco é primariamente didático.

  Se encontram disponíveis atualmente um compilador, tradutor e interpretador
  para a linguagem (GPT) e um ambiente visual simples (GPTEditor) que permite a
  edição, execução e depuração de programas escritos em G-Portugol.

o O programa GPT

  GPT é o programa que implementa a linguagem G-Portugol, permitindo:

    -compilar algoritmos;
    -traduzir algoritmos para C;
    -executar algoritmos de forma interpretada;
    -depurar algoritmos interativamente.


  Embora se encontre usável, o GPT não está imune a bugs. Além do mais,
  alguns recursos podem estar faltando. Portanto, convido-lhes a participar,
  enviando sugestões, críticas, códigos-fonte, patches, idéias e algoritmos que
  não são processados corretamente pelo GPT.

o Maiores informações

  Website: http://gpt.berlios.de

  Lista de discussão: https://lists.berlios.de/mailman/listinfo/gpt-usuarios

  Autor: Thiago Silva <tsilva@sourcecraft.info>

o Copyright

 Esse pacote é distribuído nos termos da GNU GENERAL PUBLIC LICENSE v2
 (ver arquivo COPYRIGHT para maiores detalhes)
